Subject: Re: bug#54706: 28.0.92; eldoc-print-after-edit broken

From: Eli Zaretskii <[email-masked]>
Date: Mon, 04 Apr 2022 14:30:17 +0300

> From: Leo Liu <[email-masked]>
> Date: Mon, 04 Apr 2022 19:13:50 +0800
> 
> 
> I just noticed that eldoc not shown in 28.0.92 after messaging commands.
> I have eldoc-print-after-edit set to t a long while ago and
> `recenter-top-bottom' added to eldoc-message-commands. After some
> digging it seems if doc is obtained async `C-l' can trigger eldoc no
> more.
> 
> I have also noted that eldoc--request-state tries to capture the buffer
> editing state using (buffer-modified-tick). Note this is not backward
> compatible. Previously eldoc-message-commands can be any command.

Can you please provide a simple test case for each of these issues?  I
don't think I understand clearly what you are saying (I'm only a
casual user of eldoc.)

Thanks.